Summary: An OpenGL widget for the GTK+ GUI library.
Name: gtkglarea
Version: 1.2.2
Release: 5
Copyright: GPL 
Group: System Environment/Libraries
Source: http://www.student.oulu.fi/~jlof/gtkglarea/gtkglarea-%{version}.tar.gz 
URL: http://www.student.oulu.fi/~jlof/gtkglarea/
Requires: XFree86 >= 4.0, gtk+ >= 1.2.6
Buildrequires: XFree86 >= 4.0, XFree86-devel >= 4.0, gtk+-devel >= 1.2.6
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: ia64

%description
GtkGLArea is an OpenGL widget for GTK+ (the Gimp ToolKit), a GUI
library.  GtkGLArea is built on top of gdkgl.  Gdkgl is basically a
wrapper around GLX functions.  The GtkGLArea widget is derived from
the GtkDrawingArea widget and only adds a few functions.

%prep
%setup -q

%build
%configure --with-lib-GL
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

mv -f examples examples-orig
mkdir examples
cp -f examples-orig/*.c examples
cp -f examples-orig/{gdkfont,glpixmap,gtkglarea_demo,simple,zktor} examples
cp -f examples-orig/README examples
cp -f examples-orig/{*.c,*.h} examples

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README NEWS  COPYING AUTHORS INSTALL docs/*.txt examples
%{_prefix}/lib/*
%{_prefix}/include/gtkgl

%changelog
* Mon Jan 15 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuild with GL in XFree-4.0
- fix requires

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- updatd to 1.2.2

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- new version 1.2.1
- built for Powertools 6.1

* Tue Feb 02 1999 Michael Maher <mikee@redhat.com>
- built package
